package com.jw.app.business.photo;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface PhotoDAO {
	
	void insert_folder(Map<String,Object> entity) throws BusinessException ;
	
	void update_folder(Map<String,Object> entity) throws BusinessException ;
	
	void delete_folder(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_folder(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_folder(Map<String,Object> query) throws BusinessException ;
    
    int listCount_folder(Map<String, Object> query) throws BusinessException ; 
    
    void insert_photo(Map<String,Object> entity) throws BusinessException ;
	
	void update_photo(Map<String,Object> entity) throws BusinessException ;
	
	void delete_photo(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_photo(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_photo(Map<String,Object> query) throws BusinessException ;
    
    int listCount_photo(Map<String, Object> query) throws BusinessException ;
    
    void setCover_photo(Map<String,Object> entity) throws BusinessException ;
    
    void update_batchPhoto(Map<String,Object> entity) throws BusinessException ;
    
    List<Map<String,Object>> list_delete_photo(List<String> list) throws BusinessException;
    
    List<Map<String,Object>> list_delete_album(List<String> list) throws BusinessException;
    
    void deleteFromAlbum_photo(List<String> list) throws BusinessException;
    
    List<Map<String,Object>> list_deleteFromAlbum_photo(List<String> list) throws BusinessException;
    
    void insert_folder_note(Map<String,Object> entity) throws BusinessException ;
	
	void update_folder_note(Map<String,Object> entity) throws BusinessException ;
	
	void delete_folder_note(List<String> list) throws BusinessException;
	
	void delete_folderAlbumID_note(Map<String,Object> entity) throws BusinessException;
	
    List<Map<String,Object>> list_folder_note(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_folder_note(Map<String,Object> query) throws BusinessException ;
    
    int listCount_folder_note(Map<String, Object> query) throws BusinessException ;
    
    void insert_photo_note(Map<String,Object> entity) throws BusinessException ;
	
	void update_photo_note(Map<String,Object> entity) throws BusinessException ;
	
	void delete_photo_note(List<String> list) throws BusinessException;
	
	void delete_folderPhotoID_note(Map<String,Object> entity) throws BusinessException;
	
    List<Map<String,Object>> list_photo_note(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_photo_note(Map<String,Object> query) throws BusinessException ;
    
    int listCount_photo_note(Map<String, Object> query) throws BusinessException ;
    
}
